Skip to main content
Version: 1.3.0

Cluster BIP340 - Perform MPC keygen

POST 

/cluster/bip340/keygen

Generate secret shares for the given number of parties and threshold, using the given cluster_name. This is a cluster keygen operation, which means that the keygen is performed with the parties in the cluster. Keygen returns a new key_id to the caller. The secret share is generated and stored by the Vertex. The secret share can then be used to sign messages and perform other key operations using the same key_id.

Request

Header Parameters

    AUTHORIZATION stringrequired

    The AUTHORIZATION header must be set to the API Key of the user. The API Key is returned when a new user is created using the /admin/create-user endpoint.

Body

required

    cluster_namestringrequired

    The name of the cluster

    num_partiesuint16required

    Possible values: >= 1

    relay_address

    object

    An Optional relay address to use only for this specific MPC operation. If not provided, the default relay address will be used. The relay address should be in the format of host:port.

    anyOf

    string

    room_uuidstringrequired
    thresholduint16required

    Possible values: >= 1

Responses

Schema

    key_idKeyIdrequired